Name:       aspectjweaver 
Version:    1.6.12
Release:    %mkrel 8
Summary:    Java byte-code weaving library
Group:      Development/Java
License:    EPL
URL:        http://eclipse.org/aspectj/

# wget -nd http://www.eclipse.org/downloads/download.php?file=/tools/aspectj/aspectj-1.6.12-src.jar
# jar xf aspectj-1.6.12-src.jar aspectjweaver1.6.12-src.jar
Source0:    aspectjweaver1.6.12-src.jar
# This build.xml file was adapted from the Ubuntu package. The src jar has no build scripts.
Source1:    aspectjweaver-build.xml
Source2:    http://repo1.maven.org/maven2/org/aspectj/aspectjweaver/1.6.12/aspectjweaver-1.6.12.pom
Patch0:     aspectjweaver-build-fixes.patch

BuildRequires:   java-devel >= 0:1.7.0
BuildRequires:   jpackage-utils
BuildRequires:   ant
BuildRequires:   objectweb-asm
BuildRequires:   apache-commons-logging
Requires:        java >= 0:1.7.0
Requires:        objectweb-asm
BuildArch:       noarch

Obsoletes:       aspectj
Provides:        aspectj = %version-%release


%description
The AspectJ Weaver supports byte-code weaving for aspect-oriented
programming (AOP) in java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils

Obsoletes:       aspectj-javadoc
Provides:        aspectj-javadoc = %version-%release

%description javadoc
API documentation for %{summary}.


%prep
%setup -q -c
%patch0 -p1
cp %{SOURCE1} build.xml
# JRockit is not open source, so we cannot build against it
rm org/aspectj/weaver/loadtime/JRockitAgent.java

for i in org/aspectj/apache/bcel/generic/ReferenceType.java org/aspectj/apache/bcel/generic/ReturnaddressType.java org/aspectj/apache/bcel/generic/ObjectType.java org/aspectj/apache/bcel/classfile/StackMapEntry.java org/aspectj/apache/bcel/classfile/StackMap.java ;
do 
	native2ascii -encoding UTF8 $i $i
done

%build
LANG=en_US.ISO8859-1 CLASSPATH=$( build-classpath objectweb-asm/asm commons-logging ) ant
ant javadoc

%install
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadir}
install -m 0644 build/%{name}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{name}.jar

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_mavenpomdir}
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_mavenpomdir}/JPP-%{name}.pom

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadocdir}
cp -rp javadoc ${RPM_BUILD_ROOT}/%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/*



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.6.12-8.mga3
+ Revision: 346191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.6.12-7.mga3
+ Revision: 326701
- Build with java7

* Mon Sep 10 2012 dmorgan <dmorgan> 1.6.12-6.mga3
+ Revision: 291873
- Obsoletes/Provides aspectj

* Mon Sep 10 2012 dmorgan <dmorgan> 1.6.12-5.mga3
+ Revision: 291774
- Fix files encoding
- imported package aspectjweaver

